Skip to main content
PATCH
/
webhook
/
endpoints
/
{endpointId}
Update webhook endpoint
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "publicKey": "<string>",
  "subscriptions": [
    {
      "eventTypeId": "<string>"
    }
  ],
  "url": "<string>"
}
'
{
  "message": "Missing required field 'amount'."
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

endpointId
string<uuid>
required

Unique identifier for the endpoint

Body

application/json
description
string
publicKey
string
subscriptions
object[]
url
string<uri>

Response

Successfully updated webhook endpoint